# SingleTileImageryProvider

#### new Cesium.SingleTileImageryProvider(options)
engine/Source/Scene/SingleTileImageryProvider.js 45

Provides a single, top-level imagery tile. The single image is assumed to be in the Geographic projection (i.e. WGS84 / EPSG:4326), and will be rendered using a `GeographicTilingScheme`.

Name | Type | Description
--- | --- | ---
`options` | SingleTileImageryProvider.ConstructorOptions | Object describing initialization options

##### See:

- ArcGisMapServerImageryProvider
- BingMapsImageryProvider
- GoogleEarthEnterpriseMapsProvider
- OpenStreetMapImageryProvider
- TileMapServiceImageryProvider
- WebMapServiceImageryProvider
- WebMapTileServiceImageryProvider
- UrlTemplateImageryProvider

### Members

#### readonly credit : Credit
engine/Source/Scene/SingleTileImageryProvider.js 227

Gets the credit to display when this imagery provider is active. Typically this is used to credit the source of the imagery.

#### readonly errorEvent : Event
engine/Source/Scene/SingleTileImageryProvider.js 214

Gets an event that is raised when the imagery provider encounters an asynchronous error. By subscribing to the event, you will be notified of the error and can potentially recover from it. Event listeners are passed an instance of `TileProviderError`.

#### readonly hasAlphaChannel : boolean
engine/Source/Scene/SingleTileImageryProvider.js 243

Gets a value indicating whether or not the images provided by this imagery provider include an alpha channel. If this property is false, an alpha channel, if present, will be ignored. If this property is true, any images without an alpha channel will be treated as if their alpha is 1.0 everywhere. When this property is false, memory usage and texture upload time are reduced.

#### readonly maximumLevel : number|undefined
engine/Source/Scene/SingleTileImageryProvider.js 150

Gets the maximum level-of-detail that can be requested.

#### readonly minimumLevel : number
engine/Source/Scene/SingleTileImageryProvider.js 162

Gets the minimum level-of-detail that can be requested.

#### readonly proxy : Proxy
engine/Source/Scene/SingleTileImageryProvider.js 114

Gets the proxy used by this provider.

#### readonly rectangle : Rectangle
engine/Source/Scene/SingleTileImageryProvider.js 186

Gets the rectangle, in radians, of the imagery provided by this instance.

#### readonly tileDiscardPolicy : TileDiscardPolicy
engine/Source/Scene/SingleTileImageryProvider.js 200

Gets the tile discard policy. If not undefined, the discard policy is responsible for filtering out "missing" tiles via its shouldDiscardImage function. If this function returns undefined, no tiles are filtered.

#### readonly tileHeight : number
engine/Source/Scene/SingleTileImageryProvider.js 138

Gets the height of each tile, in pixels.

#### readonly tileWidth : number
engine/Source/Scene/SingleTileImageryProvider.js 126

Gets the width of each tile, in pixels.

#### readonly tilingScheme : TilingScheme
engine/Source/Scene/SingleTileImageryProvider.js 174

Gets the tiling scheme used by this provider.

#### readonly url : string
engine/Source/Scene/SingleTileImageryProvider.js 102

Gets the URL of the single, top-level imagery tile.

### Methods

#### static Cesium.SingleTileImageryProvider.fromUrl(url, options) → Promise.<SingleTileImageryProvider>
engine/Source/Scene/SingleTileImageryProvider.js 304

Creates a provider for a single, top-level imagery tile. The single image is assumed to use a

Name | Type | Description
--- | --- | ---
`url` | Resource | String | The url for the tile
`options` | SingleTileImageryProvider.fromUrlOptions | optional Object describing initialization options.

##### Returns:

The resolved SingleTileImageryProvider.

##### Example:

    const provider = await SingleTileImageryProvider.fromUrl("https://yoururl.com/image.png");

#### getTileCredits(x, y, level) → Array.<Credit>
engine/Source/Scene/SingleTileImageryProvider.js 331

Gets the credits to be displayed when a given tile is displayed.

Name | Type | Description
--- | --- | ---
`x` | number | The tile X coordinate.
`y` | number | The tile Y coordinate.
`level` | number | The tile level;

##### Returns:

The credits to be displayed when the tile is displayed.

#### pickFeatures(x, y, level, longitude, latitude) → undefined
engine/Source/Scene/SingleTileImageryProvider.js 371

Picking features is not currently supported by this imagery provider, so this function simply returns undefined.

Name | Type | Description
--- | --- | ---
`x` | number | The tile X coordinate.
`y` | number | The tile Y coordinate.
`level` | number | The tile level.
`longitude` | number | The longitude at which to pick features.
`latitude` | number | The latitude at which to pick features.

##### Returns:

Undefined since picking is not supported.

#### requestImage(x, y, level, request) → Promise.<ImageryTypes>|undefined
engine/Source/Scene/SingleTileImageryProvider.js 344

Requests the image for a given tile.

Name | Type | Description
--- | --- | ---
`x` | number | The tile X coordinate.
`y` | number | The tile Y coordinate.
`level` | number | The tile level.
`request` | Request | optional The request object. Intended for internal use only.

##### Returns:

The resolved image

### Type Definitions

#### Cesium.SingleTileImageryProvider.ConstructorOptions
engine/Source/Scene/SingleTileImageryProvider.js 13

Initialization options for the SingleTileImageryProvider constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`url` | Resource | string |  |  | The url for the tile.
`tileWidth` | number | <optional> |  | The width of the tile, in pixels.
`tileHeight` | number | <optional> |  | The height of the tile, in pixels.
`rectangle` | Rectangle | <optional> | Rectangle.MAX_VALUE | The rectangle, in radians, covered by the image.
`credit` | Credit | string | <optional> |  | A credit for the data source, which is displayed on the canvas.
`ellipsoid` | Ellipsoid | <optional> |  | The ellipsoid. If not specified, the WGS84 ellipsoid is used.

#### Cesium.SingleTileImageryProvider.fromUrlOptions
engine/Source/Scene/SingleTileImageryProvider.js 285

Initialization options for the SingleTileImageryProvider constructor when using SingleTileImageryProvider.fromUrl

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`rectangle` | Rectangle | <optional> | Rectangle.MAX_VALUE | The rectangle, in radians, covered by the image.
`credit` | Credit | String | <optional> |  | A credit for the data source, which is displayed on the canvas.
`ellipsoid` | Ellipsoid | <optional> |  | The ellipsoid. If not specified, the WGS84 ellipsoid is used.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.